[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH] build: Fix version of gettext macros



Commit c9cd419caba9effa11ca53e8696e5f6a4b424d60 added copying of the
makefile for translation files from gnulib. The makefile from gnulib is
of version 0.18 but the build configuration cretes macros from version
0.17 which breaks the build with message:

*** error: gettext infrastructure mismatch: using a Makefile.in.in from
gettext version 0.18 but the autoconf macros are from gettext version
0.17
---
 bootstrap.conf |    2 +-
 configure.ac   |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/bootstrap.conf b/bootstrap.conf
index c6620e5..56911e0 100644
--- a/bootstrap.conf
+++ b/bootstrap.conf
@@ -195,7 +195,7 @@ buildreq="\
 autoconf   2.59
 automake   1.9.6
 autopoint  -
-gettext    0.17
+gettext    0.18
 git        1.5.5
 gzip       -
 libtool    -
diff --git a/configure.ac b/configure.ac
index 89fe818..5936d31 100644
--- a/configure.ac
+++ b/configure.ac
@@ -2300,7 +2300,7 @@ dnl compute the difference between save_CPPFLAGS and CPPFLAGS and append it
 dnl to INCLUDES in order to preserve changes made by gettext but in a place
 dnl that does not break the build
 save_CPPFLAGS="$CPPFLAGS"
-AM_GNU_GETTEXT_VERSION([0.17])
+AM_GNU_GETTEXT_VERSION([0.18])
 AM_GNU_GETTEXT([external])
 GETTEXT_CPPFLAGS=
 if test "x$save_CPPFLAGS" != "x$CPPFLAGS"; then
-- 
1.7.3.4


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]